Get Tag
This endpoint fetches Tag(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/tag/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Tag ID, if sent, request will fetch Tag with exact ID, otherwise it fill fetch all Tags. | optional |
| ActiveOnly | int | Request will fetch only active Tags if set to 1, otherwise it fill fetch all Tags. | optional |
To get Tag, send query parameter like this: Id=1
Or if you want to get all Tags, don’t include Id parameter, or set it as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "Name": "Tag 1", "Status": 0, "StatusString": "Active"}[ { "Id": 1, "TeamId": 1, "Name": "Tag 1", "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |